
!HelpBrowser methodsFor: '*HelpBrowserB' stamp: 'kfr 2/28/2023 19:03'!
bindingOf: aString 
	bindings ifNil: [ self resetBindings].
	(bindings includesKey: aString) ifFalse: [
		(self lookupInPools: aString)
			ifNotNil: [:val |
				"Caveat: since we're not inserting the pool's Association into
				 the dictionary, assigning a new value to the variable will only
				 affect the one Workspace (i.e. you can't assign to a variable in a
				 SharedPool)."
				bindings at: aString put: val]
			ifNil: [aString first isUppercase
					ifTrue: [^nil]
					ifFalse: [bindings at: aString put: nil]]
	].
	^ bindings associationAt: aString! !

!HelpBrowser methodsFor: '*HelpBrowserB' stamp: 'kfr 2/28/2023 07:09'!
hasBindingOf: aString 
	^bindings includesKey: aString! !

!HelpBrowser methodsFor: '*HelpBrowserB' stamp: 'kfr 2/28/2023 07:18'!
lookupInPools: aString 
	"Iterate through all of the lookup pools to find a match for the specified name."
	LookupPools ifNil: [^nil].
	LookupPools do: [:pool | (pool bindingOf: aString) ifNotNil: [:assoc | ^assoc value]].
	^nil
! !

!HelpBrowser methodsFor: '*HelpBrowserB' stamp: 'kfr 2/28/2023 07:13'!
resetBindings

	bindings := Dictionary new.! !
